%define debug_package %{nil}
Name: clojure-tools
Version: 1.12.0.1530
Release: 1%{?dist}
Summary: CLI tools for the Clojure programming language
Group: Development/Tools
License: EPL
# Both providers /usr/bin/clojure 
Conflicts: clojure
BuildArch: noarch

BuildRequires: javapackages-tools
Requires:      java-headless >= 1:1.8.0
Requires:      rlwrap

URL: https://clojure.org/releases/tools

Source0:        https://github.com/clojure/brew-install/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/clojure/brew-install/%{version}/LICENSE

%description
The Clojure command line tools can be used to start a
Clojure repl, use Clojure and Java libraries, and start Clojure programs.

%prep
%setup -n %{name} -q '%{SOURCE0}'
# Change install locations to the shell scripts
sed -i 's/install_dir=PREFIX/install_dir=\/usr\/share\/clojure-tools\njava_dir=\/usr\/share\/java\/clojure-tools/' clojure

sed -i 's/$install_dir\/libexec\/exec.jar/$java_dir\/clojure-tools-exec.jar/' clojure
sed -i 's/$install_dir\/libexec\/clojure-tools-$version.jar/$java_dir\/clojure-tools-$version.jar/' clojure
sed -i 's/$install_dir\/libexec\/clojure-tools-$version.jar/$java_dir\/clojure-tools-$version.jar/' clojure
sed -i 's/bin_dir=BINDIR/bin_dir=\/usr\/bin/' clj

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_pkgdocdir}
install -d -m 755 %{buildroot}%{_javadir}/%{name}
install -d -m 755 %{buildroot}%{_mandir}/man1
install -d -m 755 %{buildroot}%{_datadir}/%{name}

install -pm 755 clojure %{buildroot}%{_bindir}/clojure
install -pm 755 clj %{buildroot}%{_bindir}/clj
install -pm 644 clojure.1 %{buildroot}%{_mandir}/man1/clojure.1
install -pm 644 clj.1 %{buildroot}%{_mandir}/man1/clj.1
install -pm 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}/%{name}-%{version}.jar
install -pm 644 exec.jar %{buildroot}%{_javadir}/%{name}/%{name}-exec.jar
install -pm 644 deps.edn %{buildroot}%{_datadir}/%{name}/deps.edn
install -pm 644 tools.edn %{buildroot}%{_datadir}/%{name}/tools.edn
install -pm 644 example-deps.edn %{buildroot}%{_datadir}/%{name}/example-deps.edn
install -pm 644 %{SOURCE1} %{buildroot}%{_pkgdocdir}/LICENSE


%files
%{_bindir}/clojure
%{_bindir}/clj
%{_javadir}/%{name}/%{name}-%{version}.jar
%{_javadir}/%{name}/%{name}-exec.jar
%{_datadir}/%{name}/deps.edn
%{_datadir}/%{name}/tools.edn
%{_datadir}/%{name}/example-deps.edn
%{_mandir}/man1/clojure.1.gz
%{_mandir}/man1/clj.1.gz
%{_pkgdocdir}/LICENSE

%changelog
* Tue May 13 2025 Markku Korkeala <markku.korkeala@iki.fi> - 1.12.0.1530-1
- Inital experimental version of 1.12.0.1530

